﻿
$ErrorActionPreference = 'Stop';
$url32 = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/f6e8335b-ae34-4684-9ddd-f6d8e7a83040/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/48fbc9e0-332d-4944-b233-1a0e2faa4ec5/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum32     = 'E9519501E1E1B9A47AD236CBD46CF0A48D9C3540D2032077E471E39B15BE9CE7'
  checksumType   = 'sha256'
  checksum64     = 'EFF2E3558D3C2D35C7369946785042D88D94079D3BEC58BABC4E877E59A3E3BD'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
